function [ signal ] = preemfaze( zvuk )
%% Výpočet preemfáze
%
%vstup signál
%zvukový signál
%
%výstup zvuk
%zvukový signál upraven
%

%% načtení alfa v rozsahu 0.9 - 1

if exist('parametr.mat') == 2
    load('parametr.mat');
    alfa = dataParam.dataAlfa;
else
    alfa = 0.98;
end


delka = length(zvuk);
signal = zeros(delka,1);
pozice = 1;

while (pozice<=delka)
    
    if(pozice == 1) 
        signal(pozice) = zvuk(pozice);
    else
        signal(pozice) = zvuk(pozice) - alfa * zvuk(pozice -1);    %výpočet
    end
    
    pozice = pozice +1;
end


end

